commit: 6dba53f88da5c805648ec353b8c4294e2fd50ab3
Author: Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Sun Jul 14 08:10:34 2019 +0000
Commit: Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Sun Jul 14 12:26:05 2019 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=6dba53f8
dev-python/async_generator: Enable Python 3.7
Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>
dev-python/async_generator/async_generator-1.10.ebuild | 8 +++++---
1 file changed, 5 insertions(+), 3 deletions(-)
diff --git a/dev-python/async_generator/async_generator-1.10.ebuild
b/dev-python/async_generator/async_generator-1.10.ebuild
index 7e17bf06efd..c21b9a6072b 100644
--- a/dev-python/async_generator/async_generator-1.10.ebuild
+++ b/dev-python/async_generator/async_generator-1.10.ebuild
@@ -1,24 +1,26 @@
# Copyright 1999-2019 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
-EAPI=6
+EAPI=7
-PYTHON_COMPAT=( python3_{5,6} )
+PYTHON_COMPAT=( python3_{5,6,7} )
inherit distutils-r1
DESCRIPTION="Making it easy to write async iterators in Python 3.5"
HOMEPAGE="https://github.com/python-trio/async_generator
https://pypi.org/project/async_generator/"
SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
LICENSE="|| ( MIT Apache-2.0 )"
SLOT="0"
KEYWORDS="~amd64 ~arm ~arm64 ~x86"
IUSE="test"
+
DEPEND="dev-python/setuptools[${PYTHON_USEDEP}]
test? ( dev-python/pytest[${PYTHON_USEDEP}] )"
DOCS=( README.rst )
python_test() {
- py.test -v || die "tests failed under ${EPYTHON}"
+ pytest -vv || die "tests failed under ${EPYTHON}"
}